xtea.h File Reference

XTEA block cipher (32-bit) More...

`#include "config.h"`
`#include <stddef.h>`
`#include <stdint.h>`
`#include "xtea_alt.h"`
Include dependency graph for xtea.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_XTEA_ENCRYPT 1
#define | MBEDTLS_XTEA_DECRYPT 0
#define | MBEDTLS_ERR_XTEA_INVALID_INPUT_LENGTH -0x0028
| The data input has an invalid length. More...

## Functions

int | mbedtls_xtea_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

XTEA block cipher (32-bit)

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file xtea.h.

## Macro Definition Documentation

#define MBEDTLS_ERR_XTEA_INVALID_INPUT_LENGTH -0x0028

The data input has an invalid length.

Definition at line 38 of file xtea.h.

#define MBEDTLS_XTEA_DECRYPT 0

Definition at line 36 of file xtea.h.

#define MBEDTLS_XTEA_ENCRYPT 1

Definition at line 35 of file xtea.h.

## Function Documentation

int mbedtls_xtea_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed